# TstampCustomFormat

package | phing.tasks.system

### Methods

## validate parameter and execute the format.

    execute(\TstampTask $tstamp)

throws |

### Arguments

#### $tstamp

`\TstampTask`

reference to task

## The locale used to create date/time string.

    setLocale(string $locale)

### Arguments

#### $locale

`string`

## The date/time pattern to be used. The values are as defined by the PHP strftime() function.

    setPattern( $pattern)

### Arguments

#### $pattern

``

## The property to receive the date/time string in the given pattern

    setProperty(string $propertyName)

### Arguments

#### $propertyName

`string`

the name of the property.

### Properties

## propertyName

    propertyName :

### Type(s)

``

## pattern

    pattern :

### Type(s)

``

## locale

    locale :

### Type(s)

``